SmartMemory
POST
/memory/agents

Create a new AI agent as a first-class user.

Agents can:

  • Have their own API keys
  • Store and retrieve memories
  • Be assigned to teams
  • Have specific permissions/roles

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request model for creating an agent

Response Body

application/json

application/json

curl -X POST "https://example.com/memory/agents" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "agent_config": {},
  "roles": [
    "string"
  ],
  "tenant_id": "string",
  "is_active": true,
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}